Ads · Conversions
Returns event destinations.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
profileId | string |
Example
curl -X GET "https://api.pozy.ai/v1/events/destinations" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/events/destinations", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/events/destinations",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
destinationsarray of objectidstringprofileIdstringaccountIdstringdestinationIdstringeventNamesarray of stringCan be null.
createdAtstring (date-time)
200 response
{
"destinations": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"profileId": "6a0b6573846efc28aaa9a3ff",
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b",
"eventNames": [
"Acme"
],
"createdAt": "2026-10-02T09:00:00.000Z"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Conversions
GETGet Event Match QualityPOSTSend conversion eventsPOSTAdjust uploaded conversionsGETList conversion actionsPOSTCreate website conversion actionGETList account conversion goalsPATCHUpdate account conversion goalsPATCHUpdate a conversion action's settingsGETList custom conversion goalsPOSTCreate a custom conversion goalPATCHUpdate a custom conversion goalDELRemove a custom conversion goalGETList stored eventsPOSTSend events to every destinationPOSTAdd an event destinationDELRemove an event destinationGETList conversion destinationsPOSTCreate a conversion destinationGETGet a conversion destinationPATCHUpdate a conversion destinationDELDelete a conversion destinationGETList associated campaignsPOSTAssociate campaignsDELRemove associated campaignsGETGet attribution metrics